Subject: Re: [PATCH] ibm_newemac: emac_close() needs to call netif_carrier_off()

From: Stephen Hemminger <[email-masked]>
Date: Wed, 19 Aug 2009 16:48:56 -0700

On Wed, 19 Aug 2009 15:32:41 -0700
Petri Gynther <[email-masked]> wrote:

> Stephen,
> 
> I think your suggestion of adding netif_running() check to
> bond_check_dev_link() is valid and a good fix to the bonding driver.
> We can do this in a separate patch.
> 
> However, I think that the change to ibm_newemac: emac_close() is
> needed as well. ibm_newemac netdevs should not return
> netif_carrier_ok() == TRUE when they have been shut down.

I concur. Fixing the possible problems in both places is best.